﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5104 (1 yr) VER VISA /O_CAL+G1+5Ch,DMM
DATE:                  2012-07-18 13:01:03
AUTHOR:                Fluke
REVISION:              $Revision: 27038 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       364
CONFIGURATION:         Fluke Ocal (1.1GHz,5Ch)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        DPO5104, MSO5104
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Tek MSO/DPO5000 Remote Interface Connection
#        Sub IEEE-488.2 *IDN? VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 *IDN? Check Response
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub Tek MSO/DPO5000 Preliminary Instructions
#        Sub Tek MSO/DPO5000 Additional Equipment Req.
#        Sub Tek MDO/MSO/DPO Self-Test VISA
#        Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
#        Sub Tek DPO5000 (1 yr) DC Balance VER VISA
#        Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
#        Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
#        Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
#        Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /O_CAL
#        Sub Tek DPO5104 (1 yr) Random Noise VER VISA
#        Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Trigger Output VISA
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Flexible Driver Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#
#  Required Files:
#        user_config_instr.ini
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine; Channel = 4
  1.002  O_CAL        +Frequency = 1 GHz; Voltage = 1 Vpp
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright

  1.011  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.012  CALL         Sub Tek MSO/DPO5000 Remote Interface Connection
  1.013  JMPL         END                              @Abort

  1.014  VISA         *RST

  1.015  CALL         Sub IEEE-488.2 *IDN? VISA
  1.016  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.017  JMPL         END                              @Abort

  1.018  CALL         Sub High Voltage Safety Warning
  1.019  CALL         Sub Select Failed Test Mode
  1.020  CALL         Sub Select Verification Method (No NTHROW)
  1.021  CALL         Sub Tek MSO/DPO5000 Preliminary Instructions
  1.022  CALL         Sub Tek MSO/DPO5000 Additional Equipment Req.

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   INPUT IMPEDANCE 10 mV/div: Ch1     RANDOM NOISE: Ch1
#    4.   INPUT IMPEDANCE 100 mV/div: Ch1    RANDOM NOISE: Ch2
#    5.   INPUT IMPEDANCE 1 V/div: Ch1       RANDOM NOISE: Ch3
#    6.   INPUT IMPEDANCE 10 mV/div: Ch2     RANDOM NOISE: Ch4
#    7.   INPUT IMPEDANCE 100 mV/div: Ch2    INPUT IMPEDANCE 100 mV/div: Ch1
#    8.   INPUT IMPEDANCE 1 V/div: Ch2       INPUT IMPEDANCE 1 V/div: Ch1
#    9.   INPUT IMPEDANCE 10 mV/div: Ch3     INPUT IMPEDANCE 100 mV/div: Ch2
#   10.   INPUT IMPEDANCE 100 mV/div: Ch3    INPUT IMPEDANCE 1 V/div: Ch2
#   11.   INPUT IMPEDANCE 1 V/div: Ch3       INPUT IMPEDANCE 100 mV/div: Ch3
#   12.   INPUT IMPEDANCE 10 mV/div: Ch4     INPUT IMPEDANCE 1 V/div: Ch3
#   13.   INPUT IMPEDANCE 100 mV/div: Ch4    INPUT IMPEDANCE 100 mV/div: Ch4
#   14.   INPUT IMPEDANCE 1 V/div: Ch4       INPUT IMPEDANCE 1 V/div: Ch4
#   15.   DC BALANCE: Ch1                    DC BALANCE: Ch1
#   16.   DC BALANCE: Ch2                    DC BALANCE: Ch2
#   17.   DC BALANCE: Ch3                    DC BALANCE: Ch3
#   18.   DC BALANCE: Ch4                    DC BALANCE: Ch4
#   19.   DCV GAIN ACC: Ch1                  BANDWIDTH 1 MOhm: Ch1
#   20.   DCV GAIN ACC: Ch2                  BANDWIDTH 1 MOhm: Ch2
#   21.   DCV GAIN ACC: Ch3                  BANDWIDTH 1 MOhm: Ch3
#   22.   DCV GAIN ACC: Ch4                  BANDWIDTH 1 MOhm: Ch4
#   23.   DC OFFSET: Ch1                     INPUT IMPEDANCE 10 mV/div: Ch1
#   24.   DC OFFSET: Ch2                     INPUT IMPEDANCE 10 mV/div: Ch2
#   25.   DC OFFSET: Ch3                     INPUT IMPEDANCE 10 mV/div: Ch3
#   26.   DC OFFSET: Ch4                     INPUT IMPEDANCE 10 mV/div: Ch4
#   27.   BANDWIDTH 50 Ohm: Ch1              DCV GAIN ACC: Ch1
#   28.   BANDWIDTH 1 MOhm: Ch1              DCV GAIN ACC: Ch2
#   29.   BANDWIDTH 50 Ohm: Ch2              DCV GAIN ACC: Ch3
#   30.   BANDWIDTH 1 MOhm: Ch2              DCV GAIN ACC: Ch4
#   31.   BANDWIDTH 50 Ohm: Ch3              DC OFFSET: Ch1
#   32.   BANDWIDTH 1 MOhm: Ch3              DC OFFSET: Ch2
#   33.   BANDWIDTH 50 Ohm: Ch4              DC OFFSET: Ch4
#   34.   BANDWIDTH 1 MOhm: Ch4              DC OFFSET: Ch4
#   35.   SAMPLE RATE AND DELAY TIME         BANDWIDTH 50 Ohm: Ch1
#   36.   RANDOM NOISE: Ch1                  BANDWIDTH 50 Ohm: Ch2
#   37.   RANDOM NOISE: Ch2                  BANDWIDTH 50 Ohm: Ch3
#   38.   RANDOM NOISE: Ch3                  BANDWIDTH 50 Ohm: Ch4
#   39.   RANDOM NOISE: Ch4                  DELTA TIME ACC: Ch1
#   40.   DELTA TIME ACC: Ch1                DELTA TIME ACC: Ch2
#   41.   DELTA TIME ACC: Ch2                DELTA TIME ACC: Ch3
#   42.   DELTA TIME ACC: Ch3                DELTA TIME ACC: Ch4
#   43.   DELTA TIME ACC: Ch4                SAMPLE RATE AND DELAY TIME
#   44.   TRIGGER OUTPUT                     TRIGGER OUTPUT

  1.023  MATH         @Timeout = 10000

  1.024  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.027  JMPL         END                           @Abort

  1.028  IF           ISVAR("@Timer")
  1.029  MATH         @StartTime = UTIME()
  1.030  ENDIF

  1.031  MATH         @CalMultiChan = 1
  1.032  JMPL         RANDOM_NOISE

# -----  Input Impedance  ---------------------------------------------------

  1.033  LABEL        INPUT_IMPEDANCE_CH1_O_CAL
  1.034  MATH         @Chan = 1; @CalChan = @Chan
  1.035  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.036  JMPL         INPUT_IMPEDANCE_CH2_O_CAL

  1.037  LABEL        INPUT_IMPEDANCE_CH1_DMM
  1.038  MATH         @Chan = 1; @CalChan = @Chan
  1.039  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.040  JMPL         INPUT_IMPEDANCE_CH2_DMM

  1.041  LABEL        INPUT_IMPEDANCE_CH2_O_CAL
  1.042  MATH         @Chan = 2; @CalChan = @Chan
  1.043  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.044  JMPL         INPUT_IMPEDANCE_CH3_O_CAL

  1.045  LABEL        INPUT_IMPEDANCE_CH2_DMM
  1.046  MATH         @Chan = 2; @CalChan = @Chan
  1.047  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.048  JMPL         INPUT_IMPEDANCE_CH3_DMM

  1.049  LABEL        INPUT_IMPEDANCE_CH3_O_CAL
  1.050  MATH         @Chan = 3; @CalChan = @Chan
  1.051  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.052  JMPL         INPUT_IMPEDANCE_CH4_O_CAL

  1.053  LABEL        INPUT_IMPEDANCE_CH3_DMM
  1.054  MATH         @Chan = 3; @CalChan = @Chan
  1.055  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.056  JMPL         INPUT_IMPEDANCE_CH4_DMM

  1.057  LABEL        INPUT_IMPEDANCE_CH4_O_CAL
  1.058  MATH         @Chan = 4; @CalChan = @Chan
  1.059  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.060  JMPL         DCV_GAIN

  1.061  LABEL        INPUT_IMPEDANCE_CH4_DMM
  1.062  MATH         @Chan = 4; @CalChan = @Chan
  1.063  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM

# -----  DC Balance  --------------------------------------------------------

  1.064  MATH         @Chan = 1; @CalChan = @Chan
  1.065  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.066  JMPL         END                          @Abort
  1.067  MATH         @Chan = 2; @CalChan = @Chan
  1.068  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.069  JMPL         END                          @Abort
  1.070  MATH         @Chan = 3; @CalChan = @Chan
  1.071  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.072  JMPL         END                          @Abort
  1.073  MATH         @Chan = 4; @CalChan = @Chan
  1.074  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.075  JMPL         END                          @Abort
# Do 1 MOhm BW tests next, since 50 Ohm feed throughs are already connected.
  1.076  JMPL         BANDWIDTH_CH1_1_MOhm

# -----  DCV Gain  ----------------------------------------------------------

  1.077  LABEL        DCV_GAIN
  1.078  MATH         @Chan = 1; @CalChan = @Chan
  1.079  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.080  JMPL         END                          @Abort
  1.081  MATH         @Chan = 2; @CalChan = @Chan
  1.082  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.083  JMPL         END                          @Abort
  1.084  MATH         @Chan = 3; @CalChan = @Chan
  1.085  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.086  JMPL         END                          @Abort
  1.087  MATH         @Chan = 4; @CalChan = @Chan
  1.088  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.089  JMPL         END                          @Abort

# -----  Offset  ------------------------------------------------------------

  1.090  MATH         @Chan = 1; @CalChan = @Chan
  1.091  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.092  JMPL         END                          @Abort
  1.093  MATH         @Chan = 2; @CalChan = @Chan
  1.094  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.095  JMPL         END                          @Abort
  1.096  MATH         @Chan = 3; @CalChan = @Chan
  1.097  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.098  JMPL         END                          @Abort
  1.099  MATH         @Chan = 4; @CalChan = @Chan
  1.100  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.101  JMPL         END                          @Abort

# -----  Bandwidth  ---------------------------------------------------------

  1.102  LABEL        BANDWIDTH_CH1_50_Ohm
  1.103  MATH         @Chan = 1; @CalChan = @Chan
  1.104  CALL         Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.105  JMPL         END                          @Abort
  1.106  JMPL         BANDWIDTH_CH2_50_Ohm

  1.107  LABEL        BANDWIDTH_CH1_1_MOhm
  1.108  MATH         @Chan = 1; @CalChan = @Chan
  1.109  CALL         Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.110  JMPL         END                          @Abort
  1.111  JMPL         BANDWIDTH_CH2_1_MOhm

  1.112  LABEL        BANDWIDTH_CH2_50_Ohm
  1.113  MATH         @Chan = 2; @CalChan = @Chan
  1.114  CALL         Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.115  JMPL         END                          @Abort
  1.116  JMPL         BANDWIDTH_CH3_50_Ohm

  1.117  LABEL        BANDWIDTH_CH2_1_MOhm
  1.118  MATH         @Chan = 2; @CalChan = @Chan
  1.119  CALL         Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.120  JMPL         END                          @Abort
  1.121  JMPL         BANDWIDTH_CH3_1_MOhm

  1.122  LABEL        BANDWIDTH_CH3_50_Ohm
  1.123  MATH         @Chan = 3; @CalChan = @Chan
  1.124  CALL         Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.125  JMPL         END                          @Abort
  1.126  JMPL         BANDWIDTH_CH4_50_Ohm

  1.127  LABEL        BANDWIDTH_CH3_1_MOhm
  1.128  MATH         @Chan = 3; @CalChan = @Chan
  1.129  CALL         Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.130  JMPL         END                          @Abort
  1.131  JMPL         BANDWIDTH_CH4_1_MOhm

  1.132  LABEL        BANDWIDTH_CH4_50_Ohm
  1.133  MATH         @Chan = 4; @CalChan = @Chan
  1.134  CALL         Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.135  JMPL         END                          @Abort
  1.136  JMPL         DELTA_TIME

  1.137  LABEL        BANDWIDTH_CH4_1_MOhm
  1.138  MATH         @Chan = 4; @CalChan = @Chan
  1.139  CALL         Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.140  JMPL         END                          @Abort
  1.141  JMPL         INPUT_IMPEDANCE_CH1_O_CAL

# -----  Sample Rate  -------------------------------------------------------

  1.142  LABEL        SAMPLE_RATE
  1.143  MATH         @Chan = 1; @CalChan = @Chan
  1.144  CALL         Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /O_CAL
  1.145  JMPL         TRIGGER_OUTPUT

# -----  Random Noise  ------------------------------------------------------

  1.146  LABEL        RANDOM_NOISE
  1.147  MATH         @Chan = 1; @CalChan = @Chan
  1.148  CALL         Sub Tek DPO5104 (1 yr) Random Noise VER VISA
  1.149  MATH         @Chan = 2; @CalChan = @Chan
  1.150  CALL         Sub Tek DPO5104 (1 yr) Random Noise VER VISA
  1.151  MATH         @Chan = 3; @CalChan = @Chan
  1.152  CALL         Sub Tek DPO5104 (1 yr) Random Noise VER VISA
  1.153  MATH         @Chan = 4; @CalChan = @Chan
  1.154  CALL         Sub Tek DPO5104 (1 yr) Random Noise VER VISA
  1.155  JMPL         INPUT_IMPEDANCE_CH1_DMM

# -----  Delta Time  --------------------------------------------------------

  1.156  LABEL        DELTA_TIME
  1.157  MATH         @Chan = 1; @CalChan = @Chan
  1.158  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.159  MATH         @Chan = 2; @CalChan = @Chan
  1.160  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.161  MATH         @Chan = 3; @CalChan = @Chan
  1.162  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.163  MATH         @Chan = 4; @CalChan = @Chan
  1.164  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.165  JMPL         SAMPLE_RATE

# -----  Trigger Output  ----------------------------------------------------

  1.166  LABEL        TRIGGER_OUTPUT
  1.167  CALL         Sub Tek DPO5000 (1 yr) Trigger Output VISA
  1.168  LABEL        END

  1.169  IF           ISVAR("@Timer")
  1.170  MATH         @StopTime = UTIME()
  1.171  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  1.172  RSLT         =
  1.173  RSLT         =Elapsed Time: [V ElapsedTime]
  1.174  ENDIF

  1.175  END
